classification
Title: Fixer to handle new places where parentheses are needed
Type: behavior Stage:
Components: 2to3 (2.x to 3.x conversion tool) Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: collinwinter Nosy List: benjamin.peterson, brett.cannon, collinwinter, taicki
Priority: critical Keywords: 26backport, patch

Created on 2008-03-17 19:55 by brett.cannon, last changed 2008-08-22 20:41 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
i2367.patch taicki, 2008-03-18 22:58
Messages (4)
msg63744 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-03-17 19:55
Py3K has some places where parentheses are now required (e.g., ``[x for
x in 1, 2]`` to ``[x for x in (1, 2)``). A fixer is needed to handle the
conversion.
msg64010 - (view) Author: Taek Joo Kim (taicki) * Date: 2008-03-18 22:58
This patch handles the conversion.
msg70461 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-07-31 01:57
How is this coming?
msg71775 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-08-22 20:41
Thanks for the work! I reviewed the code, added support for generator
expressions, and wrote a few more tests. Committed in r65981.
History
Date User Action Args
2008-08-22 20:41:47benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg71775
2008-07-31 01:57:56benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg70461
2008-03-18 22:58:39taickisetfiles: + i2367.patch
keywords: + patch
messages: + msg64010
nosy: + taicki
2008-03-17 20:18:30brett.cannonsetpriority: release blocker -> critical
2008-03-17 19:55:54brett.cannoncreate